Description

Hey Ohad,

Ever since I upgraded to the latest git head I've been having an issue with the proxy putting in the wrong next-server entry:

supersede server.filename = "pxelinux.0";

        supersede server.next-server = 0a:2d:03:65;

        supersede host-name = "cosmos2";

 broken ones get:

supersede server.filename = "pxelinux.0";

        supersede server.next-server = 0a:2d:03:42;

        supersede host-name = "brokenhost";

 Looking at this closer I know what the issue is but not why - when my puppetserver booted it dhcped to the wrong address (.66, aka

:42) and then I manually re-iped it to .101 (aka :65).  I have restarted the proxy but it's like it has cached somewhere that the puppet

server is on .66 still and is not adapting to the real ip of 101.

History

#1 - 12/21/2011 03:51 AM - Ohad Levy

did you figure this one out?

my guess is that somewhere (etc/hosts, nscd etc) keeps a cache

#2 - 12/21/2011 03:52 AM - Ohad Levy

- Status changed from New to Feedback

#3 - 07/05/2012 04:45 AM - Ohad Levy

- Status changed from Feedback to Resolved
